Subject: Enveloping everything
From: Allen D Hastings <[email-masked]>
To: [email-masked]
Date: Mon, 29 Aug 1994 10:08:59 -0700

> Please let everything be animatible (with envelopes). 
> ...
> Could you give us an idea when (if ever) you have LW planned 
> to be fully animatible?

That has always been my goal, and we should be a lot closer to it
in 4.0.  One obstacle has been that so far there is only a text
format for storing envelopes, and objects are stored in an IFF
(binary) format, so surface parameters haven't yet been envelopable.
But I'm planning to add a binary envelope encoding that can go into
the surface parameter mini-chunks within the SURF chunks of an
object file, which will solve that problem, although it may break
some third-party LightWave object reading programs if they ignore
mini-chunk size values.

- AH